{ ... }: {

  virtualisation = {
    docker.enable = false;
    podman = {
      enable = true;
      dockerSocket.enable = true;
      dockerCompat = true;
      defaultNetwork.settings = {
        dns_enabled = true;
        ipv6_enabled = false;
      };
    };
  };

  networking.firewall = {
    interfaces.podman0.allowedUDPPorts = [ 53 ];
    trustedInterfaces = [ "podman0" ];
  };
}
